/*
 * NT Service Status Callback Interface
 * 
 * Copyright (c) RegExLab.com
 * 
 * 2006.03.27 Chongqing China.
 */
package com.regexlab.j2e;

/**
 * Callback interface when service status changes
 * 
 * @author sswater shi
 */
public interface ServiceStatusHandler
{
    /**
     * Tell the service manager whether PAUSE/CONTINUE is supported.
     * @return true means this service can be paused
     */
    public boolean canPause();

    /**
     * Pause/continue event handle methods
     * @return must return true if pause successfully
     */
    public boolean onPause();

    /**
     * Pause/continue event handle methods
     * @return must return true if continue successfully
     */
    public boolean onContinue();

    /**
     * Stop service event handle method
     * @return no use
     */
    public boolean onStop();
}
