package hello.derby;
  
import java.sql.*;
  
/**
 * In this demo, the Derby database file is on disk.
 *
 * The database file is in the relative directory "./database" of exe file.
 *
 * @author sswater
 */
public class DemoDerby1 {
  
    public static void main(String[] args) throws Exception {
  
        //
        // Get the exe file directory
        // This property does not exist unless this java program runs as an exe file
        //
        String application_home = System.getProperty("application.home");
         
        // If not set, this program is run directory by java.exe, for test only
        //if(application_home == null) { application_home = "d:/test/"; }
         
        //
        // To set derby directory, relative to exe file. The files is on disk
        //
        System.setProperty("derby.system.home", application_home + "/database");
         
        //
        // load database file at derby.system.home
        //
        Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
        Connection conn = DriverManager.getConnection("jdbc:derby:firstdb");
         
        //
        // read data
        //
        Statement stmt = conn.createStatement();
        ResultSet rs = stmt.executeQuery("SELECT * FROM firsttable");
        while(rs.next()) {
            System.out.println(rs.getString(1) + "\t| " + rs.getString(2));
        }
        conn.close();
         
    }
  
}